%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%define pkgname SimPy

Name:		python-simpy
Version:	2.0.1
Release:	2%{?dist}
Summary:	Python simulation framework
Group:		Development/Languages
License:	LGPLv2+
URL:		http://simpy.sourceforge.net
Source0:	http://downloads.sourceforge.net/simpy/SimPy-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch
BuildRequires:	python-devel, python-setuptools-devel
Requires:	tkinter

%description
SimPy (= Simulation in Python) is an object-oriented, process-based
discrete-event simulation language based on standard Python. It
provides the modeler with components of a simulation model including
processes, for active components like customers, messages, and
vehicles, and resources, for passive components that form limited
capacity congestion points like servers, checkout counters, and
tunnels. It also provides monitor variables to aid in gathering
statistics. Random variates are provided by the standard Python random
module.


%package doc
Group:		Documentation
Summary:	Documentation for SimPy, the Python simulation framework
Requires:	%{name} = %{version}-%{release}

%description doc
SimPy (= Simulation in Python) is an object-oriented, process-based
discrete-event simulation language based on standard Python.  This
package contains the documentation including source code documentation.


%prep
%setup -q -n %{pkgname}-%{version}
# Remove the shebangs to make rpmlint happy
sed -i -e '/^#!.*python/,1D' SimPy/*.py
# Drop executable bits for files
find . -type d -print | xargs chmod 755
find . -type f -print | xargs chmod 644


%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{python_sitelib}/*
%doc LGPLlicense*


%files doc
%defattr (-,root,root,-)
%doc PKG-INFO READ_ME_FIRST.txt SimPyModels SimPyDocs


%changelog
* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Apr 23 2009 Sarantis Paskalis <paskalis@di.uoa.gr> - 2.0.1-1
- Upgrade to 2.0.1

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb  3 2009 Sarantis Paskalis <paskalis@di.uoa.gr> - 2.0-1
- Upgrade to 2.0

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 1.9.1-2
- Rebuild for Python 2.6

* Mon Mar 31 2008 Sarantis Paskalis <paskalis@di.uoa.gr> - 1.9.1-1
- Upgrade to 1.9.1

* Thu Mar  6 2008 Sarantis Paskalis <paskalis@di.uoa.gr> - 1.9-3
- Fix Source0 URL to downloads.sourceforge.net

* Wed Feb 20 2008 Sarantis Paskalis <paskalis@di.uoa.gr> - 1.9-2
- Upgrade to 1.9
- Drop executable permissions for all files

* Thu Jan  3 2008 Sarantis Paskalis <paskalis@di.uoa.gr> - 1.8-2
- Account for python eggs

* Mon Feb 12 2007 Sarantis Paskalis <paskalis@di.uoa.gr> - 1.8-1
- Update to 1.8

* Mon Jan 22 2007 Sarantis Paskalis <paskalis@di.uoa.gr> - 1.8-0.1.rc1
- Update to 1.8rc.

* Sat Dec  9 2006 Sarantis Paskalis <paskalis@di.uoa.gr> - 1.7.1-5
- Rebuild for rawhide.

* Wed Sep  6 2006 Sarantis Paskalis <paskalis@di.uoa.gr> - 1.7.1-4
- Un-ghost .pyo files. Thanks Christian Iseli (bug #205424).

* Tue Aug 29 2006 Sarantis Paskalis <paskalis@di.uoa.gr> - 1.7.1-3
- Bump release for FC6 rebuild.

* Mon Jun 19 2006 Sarantis Paskalis <paskalis@di.uoa.gr> - 1.7.1-2
- SimPy-1.7.1
- Bump release

* Fri Mar 24 2006 Sarantis Paskalis <paskalis@di.uoa.gr> - 1.7-3
- Bump release to make tag for building.

* Fri Mar 24 2006 Sarantis Paskalis <paskalis@di.uoa.gr> - 1.7-2
- Bump release

* Thu Mar 23 2006 Sarantis Paskalis <paskalis@di.uoa.gr> - 1.7-1
- SimPy-1.7
- Drop shebang removal patch.  Implement it with sed script.

* Mon Feb 20 2006 Sarantis Paskalis <paskalis@di.uoa.gr> - 1.6.1-4
- Rebuild for FC5.

* Mon Dec 26 2005 Sarantis Paskalis <paskalis@di.uoa.gr> - 1.6.1-3
- Add dist in release. Bump release.

* Wed Dec 21 2005 Sarantis Paskalis <paskalis@di.uoa.gr> - 1.6.1-2
- Add source code documentation as a -doc package (John Mahowald).
- Add Requires: tkinter for SimGUI to work (John Mahowald).
 
* Fri Nov 25 2005 Sarantis Paskalis <paskalis@di.uoa.gr> - 1.6.1-1
- First packaging version for FE.
